package com.ruoyi.dxp.service;

import java.util.List;
import com.ruoyi.dxp.domain.Topic;

/**
 * 专题Service接口
 * 
 * @author jy
 * @date 2022-11-06
 */
public interface ITopicService 
{
    /**
     * 查询专题
     * 
     * @param id 专题主键
     * @return 专题
     */
    public Topic selectTopicById(Long id);

    /**
     * 查询专题列表
     * 
     * @param topic 专题
     * @return 专题集合
     */
    public List<Topic> selectTopicList(Topic topic);

    /**
     * 新增专题
     * 
     * @param topic 专题
     * @return 结果
     */
    public int insertTopic(Topic topic);

    /**
     * 修改专题
     * 
     * @param topic 专题
     * @return 结果
     */
    public int updateTopic(Topic topic);

    /**
     * 批量删除专题
     * 
     * @param ids 需要删除的专题主键集合
     * @return 结果
     */
    public int deleteTopicByIds(Long[] ids);

    /**
     * 删除专题信息
     * 
     * @param id 专题主键
     * @return 结果
     */
    public int deleteTopicById(Long id);
}
